#_id_main
{
    display: flex;
    flex-direction: column;
}

.app-container
{
    display: flex;
    flex-direction: column;
    height: 100%;
}

.cc-toolbar-icon
{
    width: 2.5em;
    height: auto;
    margin-top: .6em;
}

.jirp-sidebar
{
    background-color: #333333;
}

.jirp-sidebar div.sidemenu-hero
{
    min-height: 50px;
    text-align: center;
}


.jirp-sidebar-menu
{
    background-color: #CFD8DC;
    color: black;
}

.jirp-sidebar-hero-img
{
    width: auto !important;
    padding-top: .8em;
    position: static !important;
}

.jirp-toolbar
{
}

.jirp-hide
{
    display: none;
}

.mobile-jirp-main-content
{
    display: flex;
    flex: 4;
    flex-direction: column;
    /*height: 100%;*/
}


.mobile-jirp-seat-row
{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    flex-grow: 1;
}

.mobile-jirp-seat-map-container
{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    flex-grow: 4;
}

.mobile-jirp-seat-cell
{
    display: flex;
    flex-grow: 1;

    text-align: center;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    background-image: none;
    border-collapse: collapse;

    min-width: 3.0vw;
}

.mobile-jirp-toolbar-label
{
    display: inline;
    margin: 0;
    width: 80%;
}

.mobile-jirp-toolbar-label span
{
    display: inline-block;
    white-space: nowrap;
    overflow-x: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
}


.mobile-jirp-toolbar-title
{
    font-size: 4vw;
    padding-right: 5px;
    max-width: 45%;
}

.mobile-jirp-toolbar-time
{
    font-size: 3vw;
    padding-right: 5px;
}

.mobile-jirp-toolbar-tickets
{
   font-size: 2.5vw;
   padding-right: 5px;
}

.mobile-jirp-toolbar-status
{
    display: inline;
    float: right;
}

.mobile-jirp-status-icon img{
    width: 2.2em;
    height: auto;
    margin-top: .6em;
}


.mobile-jirp-notifications-list
{
    display: flex;
    position: relative;
    flex-direction: column;
    flex-grow: 2;
    padding: 1vw;
    border: solid #999999;
    border-width: 1px 0px 1px 0px;
    overflow-y: auto;

}

.mobile-jirp-notifications-list li
{
    padding: 0px;
}


.mobile-jirp-notifications-list-icon
{
    margin-right: 2vw;
    color: white;
}

.mobile-jirp-screen-selector-tabs
{
    display: flex;
    flex-direction: row;
}

.mobile-jirp-screen-selector-tabs .tabs
{
    flex-direction: row;
    flex-grow: 1;
}

.mobile-active-list
{
    flex-grow: 4;
}

.mobile-active-list .mobile-jirp-column
{
    display: flex;
    flex-grow: 1;
    width: 50vw;
}

.mobile-jirp-stats-container
{
    display: flex;
    flex-grow: 4;
    flex-direction: column;
}

.mobile-jirp-row-divider
{
    border-bottom: 1px solid #555555 !important;
}

.mobile-jirp-stats-container .mobile-jirp-table-row
{
    border: none;
}

.mobile-jirp-stats-container .mobile-button-stats .mobile-jirp-column
{
    display: flex;
    flex-grow: 1;
    width: 30vw;
}

.mobile-jirp-stats-container .mobile-food-stats .mobile-jirp-column
{
    display: flex;
    flex-grow: 1;
    width: 30vw;
}

.mobile-button-stats
{
    flex-direction: column;
}

.mobile-food-stats
{
    flex-direction: column;
}

.mobile-showing-list .mobile-jirp-column
{
    display: flex;
    flex-grow: 1;
    width: 30vw;

}
.mobile-showing-list .mobile-jirp-table-row.mobile-showing-list-current
{
    color: white;
}


.mobile-showing-list .mobile-jirp-column.mobile-showing-list-title
{
    display: flex;
    flex-grow: 1;
    width: 50vw;
    text-overflow: ellipsis;
}

.mobile-showing-list .mobile-jirp-column.mobile-showing-list-sold
{
    display: flex;
    flex-grow: 1;
    width: 20vw;
}




.mobile-jirp-message-box-overlay
{
    background: none;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    overflow-y: auto;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 1000;
    font-size: 5vh;
    color: #EEEEEE;
}

.mobile-jirp-message-box-panel
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: rgba(0,0,0,.5);
    border: 2px solid #555555;
    padding: 4vw;
    -webkit-border-radius: 4px 4px 4px 4px;
    -moz-border-radius: 4px 4px 4px 4px;
    border-radius: 4px 4px 4px 4px;
}

.mobile-message-box-title
{
    font-size: 5vh;
}
.mobile-message-box-sub-title
{
    font-size: 3vh;
}
.mobile-message-box-items
{
    font-size: 2vh;
}


.mobile-password-dialog-panel
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 2px solid #555555;
}


.mobile-jirp-service-summary-container
{
    display: block;
    /*flex-grow: 4;*/
    /*flex-direction: column;*/
    height: auto;
    overflow-y: scroll;
    overflow-x: hidden;
}

.mobile-service-summary
{
    display: flex;
    flex-direction: column;
}


.mobile-service-summary .mobile-jirp-table-row
{
    flex-grow: 1;
    height: 12vh;
}

.mobile-service-summary .mobile-summary-details
{
    flex-grow: 1;
    width: 30vw;
}

.mobile-service-summary .mobile-summary-events
{
    width: 30vw;
    flex-grow: 1;
    overflow: hidden;
}

.mobile-service-summary .mobile-summary-seats
{
    width: 30vw;
    flex-grow: 1;
}

.mobile-service-summary-seats-container
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    height: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
}

.mobile-service-summary-seats
{
    display: flex;
    flex-grow: 1;
    font-size: 3vw;
    padding: 0vw 1vw;
}


.mobile-service-summary-screen-num
{
    position: absolute;
    z-index: 100;
    font-size: 15vw;
    left: 10vw;
    color: rgba(255,255,255, 0.35);
}


.mobile-service-summary-now-seating
{
    pointer-events: none;

    font-size: 2.5vh;

    font-weight: bold;
    text-align: center;
    color: rgba(147, 199, 99, 0.90);
    animation: pulse 2s infinite alternate;
    -webkit-animation: pulse 2s infinite alternate;
    -moz-animation: pulse 2s infinite alternate;
    -o-animation: pulse 2s infinite alternate;
}



.mobile-jirp-options-container
{
    display: flex;
    flex-grow: 4;
    flex-direction: column;

    height: auto;
    overflow-y: scroll;
    overflow-x: hidden;

    color: #93C763 !important;
}

.mobile-jirp-display-filter-switch
{
    display: flex;
    padding-left: 3vw;
    padding-bottom: 6vh !important;
}

.mobile-jirp-notification-filter-switch
{
    display: flex;
    padding-left: 3vw;
    padding-bottom: 3vh !important;
}



.mobile-jirp-display-options-button
{
    display: flex;
    padding-left: 3vw;
    padding-bottom: 3vh !important;
}

.mobile-jirp-options-filter-label-text
{
    font-size: 4vw;
}

.mobile-jirp-options-title
{
    border-bottom: 2px solid #93C763;
    margin-bottom: 2vh;
    font-size: 6vw;
    line-height: 8vw;
}

.mobile-jirp-radio-label
{
    font-size: 20px;
    font-weight: bold;
    line-height: 24px;
}


/*START: Progress bar classes from bootstrap. Necessary for the progress bar component. */
@-webkit-keyframes progress-bar-stripes {
    from {
        background-position: 40px 0;
    }
    to {
        background-position: 0 0;
    }
}

@-moz-keyframes progress-bar-stripes {
    from {
        background-position: 40px 0;
    }
    to {
        background-position: 0 0;
    }
}

@-ms-keyframes progress-bar-stripes {
    from {
        background-position: 40px 0;
    }
    to {
        background-position: 0 0;
    }
}

@-o-keyframes progress-bar-stripes {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 40px 0;
    }
}

@keyframes progress-bar-stripes {
    from {
        background-position: 40px 0;
    }
    to {
        background-position: 0 0;
    }
}

.progress {
    height: 20px;
    margin-bottom: 20px;
    overflow: hidden;
    background-color: #f7f7f7;
    background-image: -moz-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f5f5f5), to(#f9f9f9));
    background-image: -webkit-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: -o-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: linear-gradient(to bottom, #f5f5f5, #f9f9f9);
    background-repeat: repeat-x;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#fff9f9f9', GradientType=0);
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
}

.progress .bar {
    float: left;
    width: 0;
    height: 100%;
    font-size: 12px;
    color: #ffffff;
    text-align: center;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background-color: #0e90d2;
    background-image: -moz-linear-gradient(top, #149bdf, #0480be);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#149bdf), to(#0480be));
    background-image: -webkit-linear-gradient(top, #149bdf, #0480be);
    background-image: -o-linear-gradient(top, #149bdf, #0480be);
    background-image: linear-gradient(to bottom, #149bdf, #0480be);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff149bdf', endColorstr='#ff0480be', GradientType=0);
    -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    -moz-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: width 0.6s ease;
    -moz-transition: width 0.6s ease;
    -o-transition: width 0.6s ease;
    transition: width 0.6s ease;
}

.progress .bar + .bar {
    -webkit-box-shadow: inset 1px 0 0 rgba(0, 0, 0, 0.15), inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    -moz-box-shadow: inset 1px 0 0 rgba(0, 0, 0, 0.15), inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    box-shadow: inset 1px 0 0 rgba(0, 0, 0, 0.15), inset 0 -1px 0 rgba(0, 0, 0, 0.15);
}

.progress-striped .bar {
    background-color: #149bdf;
    background-image: -webkit-gradient(linear, 0 100%, 100% 0, color-stop(0.25, rgba(255, 255, 255, 0.15)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(255, 255, 255, 0.15)), color-stop(0.75, rgba(255, 255, 255, 0.15)), color-stop(0.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    -webkit-background-size: 40px 40px;
    -moz-background-size: 40px 40px;
    -o-background-size: 40px 40px;
    background-size: 40px 40px;
}

.progress.active .bar {
    -webkit-animation: progress-bar-stripes 2s linear infinite;
    -moz-animation: progress-bar-stripes 2s linear infinite;
    -ms-animation: progress-bar-stripes 2s linear infinite;
    -o-animation: progress-bar-stripes 2s linear infinite;
    animation: progress-bar-stripes 2s linear infinite;
}

.progress-danger .bar,
.progress .bar-danger {
    background-color: #dd514c;
    background-image: -moz-linear-gradient(top, #ee5f5b, #c43c35);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ee5f5b), to(#c43c35));
    background-image: -webkit-linear-gradient(top, #ee5f5b, #c43c35);
    background-image: -o-linear-gradient(top, #ee5f5b, #c43c35);
    background-image: linear-gradient(to bottom, #ee5f5b, #c43c35);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffee5f5b', endColorstr='#ffc43c35', GradientType=0);
}

.progress-danger.progress-striped .bar,
.progress-striped .bar-danger {
    background-color: #ee5f5b;
    background-image: -webkit-gradient(linear, 0 100%, 100% 0, color-stop(0.25, rgba(255, 255, 255, 0.15)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(255, 255, 255, 0.15)), color-stop(0.75, rgba(255, 255, 255, 0.15)), color-stop(0.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}

.progress-success .bar,
.progress .bar-success {
    background-color: #5eb95e;
    background-image: -moz-linear-gradient(top, #62c462, #57a957);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#62c462), to(#57a957));
    background-image: -webkit-linear-gradient(top, #62c462, #57a957);
    background-image: -o-linear-gradient(top, #62c462, #57a957);
    background-image: linear-gradient(to bottom, #62c462, #57a957);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff62c462', endColorstr='#ff57a957', GradientType=0);
}

.progress-success.progress-striped .bar,
.progress-striped .bar-success {
    background-color: #62c462;
    background-image: -webkit-gradient(linear, 0 100%, 100% 0, color-stop(0.25, rgba(255, 255, 255, 0.15)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(255, 255, 255, 0.15)), color-stop(0.75, rgba(255, 255, 255, 0.15)), color-stop(0.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}

.progress-info .bar,
.progress .bar-info {
    background-color: #4bb1cf;
    background-image: -moz-linear-gradient(top, #5bc0de, #339bb9);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#5bc0de), to(#339bb9));
    background-image: -webkit-linear-gradient(top, #5bc0de, #339bb9);
    background-image: -o-linear-gradient(top, #5bc0de, #339bb9);
    background-image: linear-gradient(to bottom, #5bc0de, #339bb9);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff5bc0de', endColorstr='#ff339bb9', GradientType=0);
}

.progress-info.progress-striped .bar,
.progress-striped .bar-info {
    background-color: #5bc0de;
    background-image: -webkit-gradient(linear, 0 100%, 100% 0, color-stop(0.25, rgba(255, 255, 255, 0.15)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(255, 255, 255, 0.15)), color-stop(0.75, rgba(255, 255, 255, 0.15)), color-stop(0.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}

.progress-warning .bar,
.progress .bar-warning {
    background-color: #faa732;
    background-image: -moz-linear-gradient(top, #fbb450, #f89406);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#fbb450), to(#f89406));
    background-image: -webkit-linear-gradient(top, #fbb450, #f89406);
    background-image: -o-linear-gradient(top, #fbb450, #f89406);
    background-image: linear-gradient(to bottom, #fbb450, #f89406);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fffbb450', endColorstr='#fff89406', GradientType=0);
}

.progress-warning.progress-striped .bar,
.progress-striped .bar-warning {
    background-color: #fbb450;
    background-image: -webkit-gradient(linear, 0 100%, 100% 0, color-stop(0.25, rgba(255, 255, 255, 0.15)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(255, 255, 255, 0.15)), color-stop(0.75, rgba(255, 255, 255, 0.15)), color-stop(0.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
/*END: Progress bar classes from bootstrap. Necessary for the progress bar component. */

/* flexbox table styles */
/*
 * Define the widths: play around with these
 * to get a best fit.
 */
/*
 * Basic styles, good for a large display. Everything fits in
 * one row, no wrapping. All text based cells grow equally.
 */

.mobile-jirp-flex-table
{
    display: flex;
    flex-direction: column;
}


.mobile-jirp-table-row {
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
    width: 100%;
}

.mobile-jirp-wrapper {
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    flex-grow: 1;
}

.mobile-jirp-column {
    flex-grow: 1;
    -webkit-flex-grow: 1;
    flex-shrink: 0;
    -webkit-flex-shrink: 0;
    vertical-align: top;
}

.showing-title {
    flex-grow: 1;
    -webkit-flex-grow: 1;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    padding-right: 4px;
}

.showing-title {
    width: 150px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}

.showing-times {
    width: 150px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.seat {
    width: 80px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.srs {
    width: 80px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.avg-time {
    width: 120px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.max-time {
    width: 120px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.tickets-sold {
    width: 80px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.occupancy {
    width: 80px;
    flex-grow: 1;
    -webkit-flex-grow: 1;
}
.showing-tickets {
    flex-direction: row;
    -webkit-flex-direction: row;
}

.mobile-active-buttons-seat
{
    flex-grow: 1;
}

.mobile-active-buttons-waittime
{
    flex-grow: 1;
}

.mobile-active-buttons-now-seating
{
    font-size: 2vw;
    align-self: center;
    padding-left: 10px;
}

/* growable wrappers */
.seat-sr,
.avg-max,
.showing-title-times,
.seat-sr-avg-max,
.showing-tickets,
.mobile-service-issues {
    flex-grow: 1;
    -webkit-flex-grow: 1;
}

/*
 * General good-look styles
 */
.mobile-jirp-table-row {
    border-bottom: 1px solid #e0e0e0;
    border-collapse: collapse;
    padding-top: 2px;
    color: #93C763;
}
.mobile-jirp-table-row.header {
    background-color: #93C763;
    color: black;
    font-weight: bold;
    padding-top: 6px;
    padding-bottom: 6px;
}

.mobile-jirp-column
{
}

/* END: flexbox table styles */
.mobile-screen-display-list {
    /*text-align: center;*/

}
.mobile-screen-display-list div.no-buttons
{
    color: rgba(147, 199, 99, 1);
    font-size: 30px;
    text-align: center;
}


.mobile-seat-content
{

    display:flex;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
    vertical-align: middle;
}

.mobile-battery-low
{
    color: rgba(255, 202, 0, 1);
    font-size: 2.0vw;
    text-shadow: 1px 1px black;
}


/*
 * Media queries: optimize for different screen widths.
 */
/*
 * Media breaks.
 */
@media all and (max-width: 1199px) {

    .mobile-jirp-table-row
    {
        font-size: 1.2vw;
    }


    .showing-title-times {
        flex-direction: row;
        -webkit-flex-direction: row;
    }
    .showing-title-times div {
        flex-grow: 0;
        -webkit-flex-grow: 0;
    }
    .showing-title-times > div {
        /*width: 100%;*/
    }
    .seat-sr-avg-max,
    .showing-tickets {
        flex-direction: row;
        -webkit-flex-direction: row;
    }
    .seat-sr-avg-max div,
    .showing-tickets div {
        flex-grow: 0;
        -webkit-flex-grow: 0;
    }

    .mobile-service-summary-screen-num
    {
        font-size: 5vw;
    }

    .mobile-service-summary-seats
    {
        font-size: 1.8vw;
        padding: 0vw .25vw;
    }
}

@media all and (min-width: 1199px) {
    .mobile-jirp-table-row
    {
        font-size: 1.2vw;
    }

    /*material css overrides */
    .list > li .item-text, .grid-list > .tile > .tile-footer > .item-text {
        font-size: 2.2vw;
    }

    .mobile-service-summary-screen-num
    {
        font-size: 5vw;
    }

    .mobile-service-summary-seats
    {
        font-size: 1.8vw;
        padding: 0vw .25vw;
    }

}


@media all and (max-width: 991px) {

    .mobile-jirp-table-row
    {
        font-size: 2.2vw;
    }

    .avg-max {
        flex-direction: row;
        -webkit-flex-direction: row;
    }
    .seat-sr-avg-max {
        flex-direction: column;
        -webkit-flex-direction: column;
        width: 220px;
    }
    /*.seat-sr-avg-max div {*/
        /*flex-grow: 0;*/
        /*-webkit-flex-grow: 0;*/
    /*}*/
    .seat-sr-avg-max > div {
        width: 100%;
    }
    .showing-title-times,
    .showing-tickets {
        flex-direction: column;
        -webkit-flex-direction: column;
    }
    /*.showing-title-times,*/
    /*.showing-tickets div {*/
        /*flex-grow: 0;*/
        /*-webkit-flex-grow: 0;*/
    /*}*/

    /*material css overrides */
    .list > li .item-text, .grid-list > .tile > .tile-footer > .item-text {
        font-size: 3vw;
    }

    .mobile-service-summary-screen-num
    {
        font-size: 5vw;
    }

    .mobile-service-summary .mobile-jirp-table-row
    {
        font-size: 1.2vw;
    }

}

@media all and (min-width: 992px) {
}

@media all and (max-width: 767px) {
    .mobile-service-summary-screen-num
    {
        font-size: 12vw;
    }

    .mobile-service-summary .mobile-jirp-table-row
    {
        font-size: 2.1vw;
    }

}

@media all and (max-width: 768px) {
    .mobile-service-summary-screen-num
    {
        font-size: 12vw;
    }

    .mobile-service-summary .mobile-jirp-table-row
    {
        font-size: 2.1vw;
    }

}



@media all and (min-width: 768px) {

}

@media all and (max-width: 750px) {
    .mobile-service-summary-screen-num
    {
        font-size: 6vw;
    }

    .mobile-service-summary .mobile-jirp-table-row
    {
        font-size: 1.6vw;
    }

    .mobile-service-summary-seats
    {
        font-size: 1.5vw;
        padding: 0vw .25vw;
    }

}



@media all and (max-width: 575px) {
    .mobile-jirp-table-row {
        padding-left: 4px;
        padding-right: 4px;
        font-size: 3.5vw;
    }

    .mobile-service-summary .mobile-jirp-table-row
    {
        font-size: 3.0vw;
    }

    .mobile-service-summary-seats
    {
        font-size: 3vw;
        padding: 0vw .8vw;
    }

    .mobile-jirp-table-row.header {
        background-color: #616161 !important;
        color: #93C763 !important;
    }

    .seat-sr
    {
        color: #ff9800;
    }

    .avg-max
    {
        color: #ff5722;
    }

    .showing-title-times
    {
        color: #CDDC39;
    }

    .showing-tickets
    {
        color: #4caf50;
    }

    .mobile-service-issues {
        flex-direction: column;
        -webkit-flex-direction: column;
        width: 220px;
    }
    .mobile-service-issues div {
        flex-grow: 0;
        -webkit-flex-grow: 0;
    }
    .mobile-service-issues > div {
        width: 100%;
    }

    /*material css overrides */
    .list > li .item-text, .grid-list > .tile > .tile-footer > .item-text {
        font-size: 4vw;
    }

}

@media all and (min-width: 576px) {

}

@media screen and (min-height: 768px) {
    .mobile-service-summary .mobile-jirp-table-row
    {
        height: 15vh;
    }
}

@media screen and (min-height: 375px) {
    .mobile-service-summary .mobile-jirp-table-row
    {
        height: 15vh;
    }
}



@media screen and (orientation: landscape) {


    .mobile-service-summary .mobile-summary-details
    {
        width: 15vw;
    }

    .mobile-service-summary .mobile-summary-events
    {
        width: 15vw;
    }

    .mobile-service-summary .mobile-summary-seats
    {
        width: 15vw;
    }
}



